//filename：hello_world.c

#include "contiki.h" 
#include <io430.h>

#include <stdio.h> /* For printf() */ 

PROCESS(hello_world_process, "Hello world"); 
AUTOSTART_PROCESSES(&hello_world_process); 

/*Define the process code*/ 
PROCESS_THREAD(hello_world_process, ev, data) 
{ 
  volatile unsigned int i;
  PROCESS_BEGIN(); 
  
  
  P1DIR |= BIT0;  //方向寄存器，1为输出模式
  while(1)
  {
    P1OUT ^= BIT0;    //LED亮
    i = 50000; // Delayi = 50000;
    while(i--); 
  }
  
  PROCESS_END(); 
}